"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBlackConfig = void 0;
const tslib_1 = require("tslib");
const node_fs_1 = (0, tslib_1.__importDefault)(require("node:fs"));
const node_path_1 = (0, tslib_1.__importDefault)(require("node:path"));
const log_1 = require("../util/log");
const reader_1 = require("./reader");
const blankConfig = `
module.exports = () => ({
  // All packages that should be typed
  packages: [],

  // Default configuration for all packages
  defaults: {}
});
`;
function createBlackConfig() {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        for (const name of reader_1.possibleFilenames) {
            const file = node_path_1.default.resolve(process.cwd(), name);
            if (node_fs_1.default.existsSync(file)) {
                log_1.log.error `An "${name}" already exists`;
                return;
            }
        }
        const file = node_path_1.default.resolve(process.cwd(), reader_1.possibleFilenames[0] || 'declarator.js');
        try {
            yield node_fs_1.default.promises.writeFile(file, blankConfig);
            log_1.log.info `Created "${reader_1.possibleFilenames[0]}"`;
        }
        catch (e) {
            log_1.log.error `Failed to create a blank config at "${file}" ${e}`;
        }
    });
}
exports.createBlackConfig = createBlackConfig;
