#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const create_blank_1 = require("../config/create-blank");
const log_1 = require("../util/log");
const program_1 = require("./program");
const run_1 = require("./run");
(() => (0, tslib_1.__awaiter)(void 0, void 0, void 0, function* () {
    const program = yield (0, program_1.createProgram)();
    program.parse(process.argv);
    const { debug, init } = program.opts();
    if (!debug) {
        log_1.log.debug = () => undefined;
    }
    if (init) {
        yield (0, create_blank_1.createBlackConfig)();
        return;
    }
    yield (0, run_1.run)();
}))().catch(log_1.log.error);
