"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readPackageJson = exports.editPackageJson = void 0;
const tslib_1 = require("tslib");
const promises_1 = (0, tslib_1.__importDefault)(require("node:fs/promises"));
const node_path_1 = (0, tslib_1.__importDefault)(require("node:path"));
function editPackageJson(directory, editor) {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        const [packagePath, content] = yield readPackageJson(directory);
        const newContent = editor(content);
        yield promises_1.default.writeFile(packagePath, JSON.stringify(newContent, null, 2));
    });
}
exports.editPackageJson = editPackageJson;
function readPackageJson(directory) {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        const packagePath = node_path_1.default.join(directory, 'package.json');
        const content = (yield promises_1.default.readFile(packagePath)).toString();
        return [packagePath, JSON.parse(content.toString())];
    });
}
exports.readPackageJson = readPackageJson;
